FileSaveUploadTest::testExistingRename

7 file.test FileSaveUploadTest::testExistingRename()
8 file.test FileSaveUploadTest::testExistingRename()

Test renaming when uploading over a file that already exists.

File

modules/simpletest/tests/file.test, line 832
This provides SimpleTests for the core file handling functionality. These include FileValidateTest and FileSaveTest.

Code

function testExistingRename() {
  $edit = array(
    'file_test_replace' => FILE_EXISTS_RENAME, 
    'files[file_test_upload]' => drupal_realpath($this->image->uri),
  );
  $this->drupalPost('file-test/upload', $edit, t('Submit'));
  $this->assertResponse(200, t('Received a 200 response for posted test file.'));
  $this->assertRaw(t('You WIN!'), t('Found the success message.'));

  // Check that the correct hooks were called.
  $this->assertFileHooksCalled(array('validate', 'insert'));
}
Login or register to post comments